View Issue Details

IDProjectCategoryView StatusLast Update
0004069TechDrawBugpublic2019-12-11 11:50
Reporterbgoodr Assigned Towandererfan  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004069: TechDraw/View/Lines: Enable entry and display of values in the users chosen unit system
DescriptionAs a user, I would like to be able to specify the specific units when entering in the values to the values of:

Extra Width, Hidden Width, Iso Width, Line Width

that are in the TechDraw/View tab.

This should ideally work similar to how other values are allowed, such as entering in length dimensions in the Sketcher Workbench.

I would also like the dimensions to be displayed as I have specified them, and not have them converted for display back into SI units: I would want to be able to type in 0.001" and have it be displayed as such, and not have it switch to 0.0254mm, that is, it should respect the preferences setting in "Preferences/General/Unit System", which for my use, is currently "US customary (in/lb)".

Currently, the values are in mm but there is no indication as such, and I had to find out by asking the forum for clarification.

The overall goal I have is described in https://forum.freecadweb.org/viewtopic.php?f=3&t=37891#p322484
Steps To Reproducehttps://forum.freecadweb.org/viewtopic.php?f=3&t=37955&p=322944#p322864 is the associated forum post where we concluded a feature request was in order.
Additional InformationOS: Ubuntu 19.04 (ubuntu:GNOME/ubuntu)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.
Build type: Release
Python version: 3.7.3
Qt version: 5.12.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United States (en_US)


And specific version from Ubuntu command line (I'm using freecad-daily, although I also have freecad stable installed):

$ dpkg --list '*freecad*' | grep -v '^un\b'
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-=============================-=========================================-============-===========================================================
ii freecad 2:0.18.3+dfsg1~201907190308~ubuntu19.04.1 all Extensible Open Source CAx program
ii freecad-common 2:0.18.3+dfsg1~201907190308~ubuntu19.04.1 all Extensible Open Source CAx program - common files
ii freecad-daily 0.19~pre1~201907241808~ubuntu19.04.1 all Extensible Open Source CAx program
ii freecad-daily-common 0.19~pre1~201907241808~ubuntu19.04.1 all Extensible Open Source CAx program - common files
ii freecad-daily-python3 0.19~pre1~201907241808~ubuntu19.04.1 amd64 Extensible Open Source CAx program - Python 3 binaries
ii freecad-daily-runtime 0.19~pre1~201907241808~ubuntu19.04.1 all Extensible Open Source CAx program - runtime files
ii freecad-python3 2:0.18.3+dfsg1~201907190308~ubuntu19.04.1 amd64 Extensible Open Source CAx program - Python 3 binaries
ii freecad-runtime 2:0.18.3+dfsg1~201907190308~ubuntu19.04.1 all Extensible Open Source CAx program - runtime files
ii libfreecad-daily-python3-0.19 0.19~pre1~201907241808~ubuntu19.04.1 amd64 Extensible Open Source CAx program - Python 3 library files
ii libfreecad-python3-0.18 2:0.18.3+dfsg1~201907190308~ubuntu19.04.1 amd64 Extensible Open Source CAx program - Python 3 library files
$
TagsTechDraw
FreeCAD Information

Activities

bgoodr

2019-07-25 03:00

reporter  

cut.png (74,533 bytes)   
cut.png (74,533 bytes)   

wandererfan

2019-07-25 12:29

manager   ~0013383

Last edited: 2019-07-25 12:30

View 2 revisions

Could a mod please change the "Project" on this one from "Sketcher" to "TechDraw"?

Thanks.

bgoodr

2019-07-25 15:09

reporter   ~0013384

It is a glaring defect in a tracking system that disallows the original user from making changes to the original issue being reported. Otherwise I would have been able to make the change myself.

wandererfan

2019-12-09 16:29

manager   ~0013889

should be fixed by these commits:

line width: de1be3b381

position on page: 0721f7f1e4
                  ceeb776fff

wandererfan

2019-12-10 12:08

manager   ~0013892

closed

Kunda1

2019-12-11 11:47

administrator   ~0013897

Last edited: 2019-12-11 11:50

View 2 revisions

FreeCAD master de1be3b3
FreeCAD master 0721f7f1
FreeCAD master ceeb776f

Edit: I manually associated the commits to this ticket. @wandererfan check out https://www.freecadweb.org/wiki/Tracker#MantisBT_.3C.3D.3E_GitHub_Markup

Related Changesets

FreeCAD: master de1be3b3

2019-12-07 03:26:15

donovaly


Committer: wandererfan Details Diff
TD: add units for line widths

- this also prevents negative values
- also fix an issue in DrawViewBalloon introduced by me recently
Affected Issues
0004069
mod - src/Mod/TechDraw/App/DrawViewBalloon.cpp Diff File
mod - src/Mod/TechDraw/Gui/ViewProviderViewPart.cpp Diff File
mod - src/Mod/TechDraw/Gui/ViewProviderViewPart.h Diff File

FreeCAD: master ceeb776f

2019-12-07 14:35:10

wandererfan

Details Diff
[TD]DrawViewBalloon OriginX/Y to PropertyDistance Affected Issues
0004069
mod - src/Mod/TechDraw/App/DrawViewBalloon.cpp Diff File
mod - src/Mod/TechDraw/App/DrawViewBalloon.h Diff File

FreeCAD: master 0721f7f1

2019-12-08 12:29:57

donovaly


Committer: wandererfan Details Diff
TD: DrawView.cpp: add routine for PropertyDistance change

X and Y were changed at first by me to PropertyLength and later by Wandererfan to PropertyDistance. For this second change there is handleChangedPropertyType() code missing. This PR adds this.

- also some code formatting improvements automatically done by MSVC
Affected Issues
0004069
mod - src/Mod/TechDraw/App/DrawView.cpp Diff File

Issue History

Date Modified Username Field Change
2019-07-25 03:00 bgoodr New Issue
2019-07-25 03:00 bgoodr Tag Attached: TechDraw
2019-07-25 03:00 bgoodr File Added: cut.png
2019-07-25 12:29 wandererfan Note Added: 0013383
2019-07-25 12:30 wandererfan Note Edited: 0013383 View Revisions
2019-07-25 15:09 bgoodr Note Added: 0013384
2019-08-08 12:52 chrisb Project Sketcher => TechDraw
2019-08-08 12:52 chrisb Category Feature => General
2019-12-09 16:29 wandererfan Note Added: 0013889
2019-12-09 16:30 wandererfan Status new => resolved
2019-12-09 16:30 wandererfan Resolution open => fixed
2019-12-09 16:30 wandererfan Category General => Bug
2019-12-09 16:30 wandererfan Fixed in Version => 0.19
2019-12-10 12:08 wandererfan Assigned To => wandererfan
2019-12-10 12:08 wandererfan Status resolved => closed
2019-12-10 12:08 wandererfan Note Added: 0013892
2019-12-11 11:47 Kunda1 Note Added: 0013897
2019-12-11 11:48 Kunda1 Changeset attached => FreeCAD master de1be3b3
2019-12-11 11:48 Kunda1 Changeset attached => FreeCAD master 0721f7f1
2019-12-11 11:48 Kunda1 Changeset attached => FreeCAD master ceeb776f
2019-12-11 11:50 Kunda1 Note Edited: 0013897 View Revisions